import request from '@/utils/request'

// 入金记录
export const queryMyGoldInList = (query) => {
  return request({
    url: '/app/capital/queryMyGoldInList',
    method: 'get',
    params: query
  })
}

// 入金通道列表
export function getPayChannel(query) {
  return request({
    url: '/app/capital/getPayChannel',
    method: 'get',
    params: query
  })
}

// MT入金申请接口
export function goldInSave(data) {
  return request({
    url: '/app/capital/goldIn/save',
    method: 'post',
    data: data
  })
}

// 入金申请页，根据通道 和币种，筛选出适合的LD代理mt信息和 sys_pay_config_bank表ID
export function getIbMtLoginBankAsGoldInPage(query) {
  return request({
    url: '/app/capital/getIbMtLoginBankAsGoldInPage',
    method: 'get',
    params: query
  })
}

// 查询接口：getSubsidyById
export function getSubsidyById(query) {
  return request({
    url: '/app/capital/in/getSubsidyById',
    method: 'get',
    params: query
  })
}

// 入金金额发生变化时，计算赠金金额
export function calculatePresentedCredit(query) {
  return request({
    url: '/app/capital/goldIn/calculatePresentedCredit',
    method: 'get',
    params: query
  })
}